local addonName, AT = ...

local Constants = {}
AT.Constants = Constants

local _, title = GetAddOnInfo(addonName)
Constants.ADDON_DISPLAY_NAME = title

Constants.WHITELISTED_CLASSES = {
  'MAGE'
}

-- TODO: check for more variations, e.g. through level specific spell ids
Constants.SPELL_IDS = {
  ['HUNTER'] = {
    -- Spirit Shock
    264265
  },
  ['MAGE'] = {
    -- Spellsteal
    30449,
  },
  ['PRIEST'] = {
    -- dispel-magic
    528,
    -- Mass Dispel
    32375
  },
  ['SHAMAN'] = {
    -- Purge
    27626,
    33625
  },
  ['WARLOCK'] = {
    -- Blaze Magic
    171023,
    -- Devour Magic
    19505,
  }
}

Constants.COLOR_YELLOW_RGB = { 1, 0.85, 0.02 }
Constants.COLOR_YELLOW_HEX = 'ffffd905'
Constants.COLOR_PROFILE_TYPE_HEX = 'ffe0f796'
Constants.COLOR_PROFILE_NAME_HEX = 'ffd69d85'

Constants.DEFAULT_PROFILE = 'default'

Constants.TEXTURE_BG = 'Interface\\AddOns\\SpellstealMaster\\textures\\bg.tga'
